using System;

namespace poklon
{
    class Program
    {
        static void poklon()
        {
            long n = long.Parse(Console.ReadLine());
            string[] niz = Console.ReadLine().Split(' ');
            long[] uljezi = new long[n];
            long pom = 0;
            for (long i = 0; i < n - 1; i++)
            {
                if (long.Parse(niz[i]) > long.Parse(niz[i + 1]))
                {
                    uljezi[pom] = i + 1;
                    pom++;
                }
            }

            long q = long.Parse(Console.ReadLine());
            string[] output = new string[q];
            for (long i = 0; i < q; i++)
            {
                string[] red = Console.ReadLine().Split(' ');
                long j = long.Parse(red[0]);
                long k = long.Parse(red[1]);
                bool flag = true;
                long l = 0;
                for (long s = 0; s < pom; s++)
                {
                    if (j <= uljezi[s] && k > uljezi[s])
                    {
                        if (l == 1)
                        {
                            output[i] = "NE";
                            flag = false;
                            break;
                        }
                        if (uljezi[s]+1 <= k && uljezi[s] - 1 >= j && long.Parse(niz[uljezi[s]-2]) > long.Parse(niz[uljezi[s]]))
                        {
                            output[i] = "NE";
                            flag = false;
                            break;
                        }
                        l++;
                    }
                }
                if (flag)
                {
                    output[i] = "DA";
                }
            }
            foreach (string s in output)
            {
                Console.WriteLine(s);
            }
        }
        static void Main(string[] args)
        {
            poklon();
        }
    }
}